import zipfile
import argparse
import ComputeZip

APPNAME="SHA1Merger"


def header():
    print(f"{APPNAME}.py - by Farfetch'd, (py3 sairuk)\n-----------------------------")

def main(args):
    if args.checksums or args.definitions:
        header()
        ComputeZip.ComputeZip(args)
    return

if __name__ == "__main__":
    parser = argparse.ArgumentParser(
                        prog=APPNAME,
                        description='Compute CRC/SHA hashes for zip contents',
                        epilog='Original code by Farfetch\'d')

    modes = parser.add_mutually_exclusive_group(required=True)
    modes.add_argument('-d', '--definitions', action='store_true', help="Output ROM_LOAD definitions to be used for a new MAME driver." )
    modes.add_argument('-c', '--checksums', action='store_true', help="Compute SHA1 checksums for the specified zipfile(s)" ) 

    parser.add_argument('-x', '--extended', action='store_true', help="Compute extended checksums for the specified zipfile(s) (e.g. SHA256, SHA512)" ) 
    parser.add_argument('zipFiles', nargs='+', help="Absolute path(s) to zipfile for processing")

    args = parser.parse_args()
    main(args)